
<template>
  <div class="navbar">
    <hamburger
      :is-active="sidebar.opened"
      class="hamburger-container"
      @toggleClick="toggleSideBar"
    />
    <breadcrumb class="breadcrumb-container" />

    <!-- <div class="title-top">安防综合管理平台</div> -->
    <time-menu></time-menu>
  </div>
</template>

<script>
import { mapGetters } from "vuex";
import Breadcrumb from "@/components/Breadcrumb";
import Hamburger from "@/components/Hamburger";
import TimeMenu from "@/components/TimeMenu";

export default {
  data() {
    return {

    };
  },

  filters: {},

  components: {
    Breadcrumb,
    Hamburger,
    TimeMenu
  },
  mounted(){
    // Hamburger.props.isActive.default = true
  },
  computed: {
    ...mapGetters(["sidebar", "avatar",'addRoutes']),
  },
  methods: {
    toggleSideBar() {
      this.$store.dispatch("app/toggleSideBar");
    },
    async logout() {
      await this.$store.dispatch("user/logout");
      this.$router.push(`/#/login?redirect=${this.$route.fullPath}`);
    },

  },

};
</script>

<style lang="scss" scoped>
.navbar {
  height: 50px;
  overflow: hidden;
  position: relative;
  background: #fff;
  box-shadow: 0 1px 4px rgba(0, 21, 41, 0.08);

  .hamburger-container {
    line-height: 46px;
    height: 100%;
    float: left;
    cursor: pointer;
    transition: background 0.3s;
    -webkit-tap-highlight-color: transparent;

    &:hover {
      background: rgba(0, 0, 0, 0.025);
    }
  }


  .title-top {
    line-height: 50px;
    font-size: 24px;
    width: 50%;
    float: left;
  }



}
</style>
